Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ProtobufCS/0.9.1/ProtobufCS/src/ProtocolBuffers.Test/TestProtos/UnitTestCustomOptionsProtoFile.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ProtobufCS/0.9.1/ProtobufCS/src/ProtocolBuffers.Test/TestProtos/UnitTestCustomOptionsProtoFile.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ProtobufCS/0.9.1/ProtobufCS/src/ProtocolBuffers.Test/TestProtos/UnitTestCustomOptionsProtoFile.cs	(revision 4068)
@@ -1843,21 +1841,21 @@
       get { return defaultInstance; }
     }
-    
+
     public override SettingRealsFromPositiveInts DefaultInstanceForType {
       get { return defaultInstance; }
     }
-    
+
     protected override SettingRealsFromPositiveInts ThisMessage {
       get { return this; }
     }
-    
+
     public static pbd::MessageDescriptor Descriptor {
       get { return global::Google.ProtocolBuffers.TestProtos.UnitTestCustomOptionsProtoFile.internal__static_protobuf_unittest_SettingRealsFromPositiveInts__Descriptor; }
     }
-    
+
     protected override pb::FieldAccess.FieldAccessorTable<SettingRealsFromPositiveInts, SettingRealsFromPositiveInts.Builder> InternalFieldAccessors {
       get { return global::Google.ProtocolBuffers.TestProtos.UnitTestCustomOptionsProtoFile.internal__static_protobuf_unittest_SettingRealsFromPositiveInts__FieldAccessorTable; }
     }
-    
+
     public override bool IsInitialized {
       get {
@@ -1865,10 +1863,10 @@
       }
     }
-    
+
     public override void WriteTo(pb::CodedOutputStream output) {
       int size = SerializedSize;
       UnknownFields.WriteTo(output);
     }
-    
+
     private int memoizedSerializedSize = -1;
     public override int SerializedSize {
@@ -1876,5 +1874,5 @@
         int size = memoizedSerializedSize;
         if (size != -1) return size;
-        
+
         size = 0;
         size += UnknownFields.SerializedSize;
@@ -1883,22 +1881,22 @@
       }
     }
-    
+
     public static SettingRealsFromPositiveInts ParseFrom(pb::ByteString data) {
-      return ((Builder) CreateBuilder().MergeFrom(data)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data)).BuildParsed();
     }
     public static SettingRealsFromPositiveInts ParseFrom(pb::ByteString data, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
     }
     public static SettingRealsFromPositiveInts ParseFrom(byte[] data) {
-      return ((Builder) CreateBuilder().MergeFrom(data)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data)).BuildParsed();
     }
     public static SettingRealsFromPositiveInts ParseFrom(byte[] data, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
     }
     public static SettingRealsFromPositiveInts ParseFrom(global::System.IO.Stream input) {
-      return ((Builder) CreateBuilder().MergeFrom(input)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input)).BuildParsed();
     }
     public static SettingRealsFromPositiveInts ParseFrom(global::System.IO.Stream input, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
     }
     public static SettingRealsFromPositiveInts ParseDelimitedFrom(global::System.IO.Stream input) {
@@ -1909,8 +1907,8 @@
     }
     public static SettingRealsFromPositiveInts ParseFrom(pb::CodedInputStream input) {
-      return ((Builder) CreateBuilder().MergeFrom(input)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input)).BuildParsed();
     }
     public static SettingRealsFromPositiveInts ParseFrom(pb::CodedInputStream input, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
     }
     public static Builder CreateBuilder() { return new Builder(); }
@@ -1918,36 +1916,36 @@
     public override Builder CreateBuilderForType() { return new Builder(); }
     public static Builder CreateBuilder(SettingRealsFromPositiveInts prototype) {
-      return (Builder) new Builder().MergeFrom(prototype);
-    }
-    
+      return (Builder)new Builder().MergeFrom(prototype);
+    }
+
     public sealed partial class Builder : pb::GeneratedBuilder<SettingRealsFromPositiveInts, Builder> {
       protected override Builder ThisBuilder {
         get { return this; }
       }
-      public Builder() {}
-      
+      public Builder() { }
+
       SettingRealsFromPositiveInts result = new SettingRealsFromPositiveInts();
-      
+
       protected override SettingRealsFromPositiveInts MessageBeingBuilt {
         get { return result; }
       }
-      
+
       public override Builder Clear() {
         result = new SettingRealsFromPositiveInts();
         return this;
       }
-      
+
       public override Builder Clone() {
         return new Builder().MergeFrom(result);
       }
-      
+
       public override pbd::MessageDescriptor DescriptorForType {
         get { return global::Google.ProtocolBuffers.TestProtos.SettingRealsFromPositiveInts.Descriptor; }
       }
-      
+
       public override SettingRealsFromPositiveInts DefaultInstanceForType {
         get { return global::Google.ProtocolBuffers.TestProtos.SettingRealsFromPositiveInts.DefaultInstance; }
       }
-      
+
       public override SettingRealsFromPositiveInts BuildPartial() {
         if (result == null) {
@@ -1958,8 +1956,8 @@
         return returnMe;
       }
-      
+
       public override Builder MergeFrom(pb::IMessage other) {
         if (other is SettingRealsFromPositiveInts) {
-          return MergeFrom((SettingRealsFromPositiveInts) other);
+          return MergeFrom((SettingRealsFromPositiveInts)other);
         } else {
           base.MergeFrom(other);
@@ -1967,5 +1965,5 @@
         }
       }
-      
+
       public override Builder MergeFrom(SettingRealsFromPositiveInts other) {
         if (other == global::Google.ProtocolBuffers.TestProtos.SettingRealsFromPositiveInts.DefaultInstance) return this;
@@ -1973,9 +1971,9 @@
         return this;
       }
-      
+
       public override Builder MergeFrom(pb::CodedInputStream input) {
         return MergeFrom(input, pb::ExtensionRegistry.Empty);
       }
-      
+
       public override Builder MergeFrom(pb::CodedInputStream input, pb::ExtensionRegistry extensionRegistry) {
         pb::UnknownFieldSet.Builder unknownFields = null;
@@ -1984,11 +1982,4 @@
           switch (tag) {
             case 0: {
-              if (unknownFields != null) {
-                this.UnknownFields = unknownFields.Build();
-              }
-              return this;
-            }
-            default: {
-              if (pb::WireFormat.IsEndGroupTag(tag)) {
                 if (unknownFields != null) {
                   this.UnknownFields = unknownFields.Build();
@@ -1996,14 +1987,21 @@
                 return this;
               }
-              if (unknownFields == null) {
-                unknownFields = pb::UnknownFieldSet.CreateBuilder(this.UnknownFields);
+            default: {
+                if (pb::WireFormat.IsEndGroupTag(tag)) {
+                  if (unknownFields != null) {
+                    this.UnknownFields = unknownFields.Build();
+                  }
+                  return this;
+                }
+                if (unknownFields == null) {
+                  unknownFields = pb::UnknownFieldSet.CreateBuilder(this.UnknownFields);
+                }
+                ParseUnknownField(input, unknownFields, extensionRegistry, tag);
+                break;
               }
-              ParseUnknownField(input, unknownFields, extensionRegistry, tag);
-              break;
-            }
-          }
-        }
-      }
-      
+          }
+        }
+      }
+
     }
     static SettingRealsFromPositiveInts() {
@@ -2011,5 +2009,5 @@
     }
   }
-  
+
   public sealed partial class SettingRealsFromNegativeInts : pb::GeneratedMessage<SettingRealsFromNegativeInts, SettingRealsFromNegativeInts.Builder> {
     private static readonly SettingRealsFromNegativeInts defaultInstance = new Builder().BuildPartial();
@@ -2017,21 +2015,21 @@
       get { return defaultInstance; }
     }
-    
+
     public override SettingRealsFromNegativeInts DefaultInstanceForType {
       get { return defaultInstance; }
     }
-    
+
     protected override SettingRealsFromNegativeInts ThisMessage {
       get { return this; }
     }
-    
+
     public static pbd::MessageDescriptor Descriptor {
       get { return global::Google.ProtocolBuffers.TestProtos.UnitTestCustomOptionsProtoFile.internal__static_protobuf_unittest_SettingRealsFromNegativeInts__Descriptor; }
     }
-    
+
     protected override pb::FieldAccess.FieldAccessorTable<SettingRealsFromNegativeInts, SettingRealsFromNegativeInts.Builder> InternalFieldAccessors {
       get { return global::Google.ProtocolBuffers.TestProtos.UnitTestCustomOptionsProtoFile.internal__static_protobuf_unittest_SettingRealsFromNegativeInts__FieldAccessorTable; }
     }
-    
+
     public override bool IsInitialized {
       get {
@@ -2039,10 +2037,10 @@
       }
     }
-    
+
     public override void WriteTo(pb::CodedOutputStream output) {
       int size = SerializedSize;
       UnknownFields.WriteTo(output);
     }
-    
+
     private int memoizedSerializedSize = -1;
     public override int SerializedSize {
@@ -2050,5 +2048,5 @@
         int size = memoizedSerializedSize;
         if (size != -1) return size;
-        
+
         size = 0;
         size += UnknownFields.SerializedSize;
@@ -2057,22 +2055,22 @@
       }
     }
-    
+
     public static SettingRealsFromNegativeInts ParseFrom(pb::ByteString data) {
-      return ((Builder) CreateBuilder().MergeFrom(data)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data)).BuildParsed();
     }
     public static SettingRealsFromNegativeInts ParseFrom(pb::ByteString data, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
     }
     public static SettingRealsFromNegativeInts ParseFrom(byte[] data) {
-      return ((Builder) CreateBuilder().MergeFrom(data)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data)).BuildParsed();
     }
     public static SettingRealsFromNegativeInts ParseFrom(byte[] data, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
     }
     public static SettingRealsFromNegativeInts ParseFrom(global::System.IO.Stream input) {
-      return ((Builder) CreateBuilder().MergeFrom(input)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input)).BuildParsed();
     }
     public static SettingRealsFromNegativeInts ParseFrom(global::System.IO.Stream input, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
     }
     public static SettingRealsFromNegativeInts ParseDelimitedFrom(global::System.IO.Stream input) {
@@ -2083,8 +2081,8 @@
     }
     public static SettingRealsFromNegativeInts ParseFrom(pb::CodedInputStream input) {
-      return ((Builder) CreateBuilder().MergeFrom(input)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input)).BuildParsed();
     }
     public static SettingRealsFromNegativeInts ParseFrom(pb::CodedInputStream input, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
     }
     public static Builder CreateBuilder() { return new Builder(); }
@@ -2092,36 +2090,36 @@
     public override Builder CreateBuilderForType() { return new Builder(); }
     public static Builder CreateBuilder(SettingRealsFromNegativeInts prototype) {
-      return (Builder) new Builder().MergeFrom(prototype);
-    }
-    
+      return (Builder)new Builder().MergeFrom(prototype);
+    }
+
     public sealed partial class Builder : pb::GeneratedBuilder<SettingRealsFromNegativeInts, Builder> {
       protected override Builder ThisBuilder {
         get { return this; }
       }
-      public Builder() {}
-      
+      public Builder() { }
+
       SettingRealsFromNegativeInts result = new SettingRealsFromNegativeInts();
-      
+
       protected override SettingRealsFromNegativeInts MessageBeingBuilt {
         get { return result; }
       }
-      
+
       public override Builder Clear() {
         result = new SettingRealsFromNegativeInts();
         return this;
       }
-      
+
       public override Builder Clone() {
         return new Builder().MergeFrom(result);
       }
-      
+
       public override pbd::MessageDescriptor DescriptorForType {
         get { return global::Google.ProtocolBuffers.TestProtos.SettingRealsFromNegativeInts.Descriptor; }
       }
-      
+
       public override SettingRealsFromNegativeInts DefaultInstanceForType {
         get { return global::Google.ProtocolBuffers.TestProtos.SettingRealsFromNegativeInts.DefaultInstance; }
       }
-      
+
       public override SettingRealsFromNegativeInts BuildPartial() {
         if (result == null) {
@@ -2132,8 +2130,8 @@
         return returnMe;
       }
-      
+
       public override Builder MergeFrom(pb::IMessage other) {
         if (other is SettingRealsFromNegativeInts) {
-          return MergeFrom((SettingRealsFromNegativeInts) other);
+          return MergeFrom((SettingRealsFromNegativeInts)other);
         } else {
           base.MergeFrom(other);
@@ -2141,5 +2139,5 @@
         }
       }
-      
+
       public override Builder MergeFrom(SettingRealsFromNegativeInts other) {
         if (other == global::Google.ProtocolBuffers.TestProtos.SettingRealsFromNegativeInts.DefaultInstance) return this;
@@ -2147,9 +2145,9 @@
         return this;
       }
-      
+
       public override Builder MergeFrom(pb::CodedInputStream input) {
         return MergeFrom(input, pb::ExtensionRegistry.Empty);
       }
-      
+
       public override Builder MergeFrom(pb::CodedInputStream input, pb::ExtensionRegistry extensionRegistry) {
         pb::UnknownFieldSet.Builder unknownFields = null;
@@ -2158,11 +2156,4 @@
           switch (tag) {
             case 0: {
-              if (unknownFields != null) {
-                this.UnknownFields = unknownFields.Build();
-              }
-              return this;
-            }
-            default: {
-              if (pb::WireFormat.IsEndGroupTag(tag)) {
                 if (unknownFields != null) {
                   this.UnknownFields = unknownFields.Build();
@@ -2170,14 +2161,21 @@
                 return this;
               }
-              if (unknownFields == null) {
-                unknownFields = pb::UnknownFieldSet.CreateBuilder(this.UnknownFields);
+            default: {
+                if (pb::WireFormat.IsEndGroupTag(tag)) {
+                  if (unknownFields != null) {
+                    this.UnknownFields = unknownFields.Build();
+                  }
+                  return this;
+                }
+                if (unknownFields == null) {
+                  unknownFields = pb::UnknownFieldSet.CreateBuilder(this.UnknownFields);
+                }
+                ParseUnknownField(input, unknownFields, extensionRegistry, tag);
+                break;
               }
-              ParseUnknownField(input, unknownFields, extensionRegistry, tag);
-              break;
-            }
-          }
-        }
-      }
-      
+          }
+        }
+      }
+
     }
     static SettingRealsFromNegativeInts() {
@@ -2185,5 +2183,5 @@
     }
   }
-  
+
   public sealed partial class ComplexOptionType1 : pb::ExtendableMessage<ComplexOptionType1, ComplexOptionType1.Builder> {
     private static readonly ComplexOptionType1 defaultInstance = new Builder().BuildPartial();
@@ -2191,21 +2189,21 @@
       get { return defaultInstance; }
     }
-    
+
     public override ComplexOptionType1 DefaultInstanceForType {
       get { return defaultInstance; }
     }
-    
+
     protected override ComplexOptionType1 ThisMessage {
       get { return this; }
     }
-    
+
     public static pbd::MessageDescriptor Descriptor {
       get { return global::Google.ProtocolBuffers.TestProtos.UnitTestCustomOptionsProtoFile.internal__static_protobuf_unittest_ComplexOptionType1__Descriptor; }
     }
-    
+
     protected override pb::FieldAccess.FieldAccessorTable<ComplexOptionType1, ComplexOptionType1.Builder> InternalFieldAccessors {
       get { return global::Google.ProtocolBuffers.TestProtos.UnitTestCustomOptionsProtoFile.internal__static_protobuf_unittest_ComplexOptionType1__FieldAccessorTable; }
     }
-    
+
     public const int FooFieldNumber = 1;
     private bool hasFoo;
@@ -2217,5 +2215,5 @@
       get { return foo_; }
     }
-    
+
     public override bool IsInitialized {
       get {
@@ -2224,5 +2222,5 @@
       }
     }
-    
+
     public override void WriteTo(pb::CodedOutputStream output) {
       int size = SerializedSize;
@@ -2234,5 +2232,5 @@
       UnknownFields.WriteTo(output);
     }
-    
+
     private int memoizedSerializedSize = -1;
     public override int SerializedSize {
@@ -2240,5 +2238,5 @@
         int size = memoizedSerializedSize;
         if (size != -1) return size;
-        
+
         size = 0;
         if (HasFoo) {
@@ -2251,22 +2249,22 @@
       }
     }
-    
+
     public static ComplexOptionType1 ParseFrom(pb::ByteString data) {
-      return ((Builder) CreateBuilder().MergeFrom(data)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data)).BuildParsed();
     }
     public static ComplexOptionType1 ParseFrom(pb::ByteString data, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
     }
     public static ComplexOptionType1 ParseFrom(byte[] data) {
-      return ((Builder) CreateBuilder().MergeFrom(data)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data)).BuildParsed();
     }
     public static ComplexOptionType1 ParseFrom(byte[] data, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
     }
     public static ComplexOptionType1 ParseFrom(global::System.IO.Stream input) {
-      return ((Builder) CreateBuilder().MergeFrom(input)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input)).BuildParsed();
     }
     public static ComplexOptionType1 ParseFrom(global::System.IO.Stream input, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
     }
     public static ComplexOptionType1 ParseDelimitedFrom(global::System.IO.Stream input) {
@@ -2277,8 +2275,8 @@
     }
     public static ComplexOptionType1 ParseFrom(pb::CodedInputStream input) {
-      return ((Builder) CreateBuilder().MergeFrom(input)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input)).BuildParsed();
     }
     public static ComplexOptionType1 ParseFrom(pb::CodedInputStream input, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
     }
     public static Builder CreateBuilder() { return new Builder(); }
@@ -2286,36 +2284,36 @@
     public override Builder CreateBuilderForType() { return new Builder(); }
     public static Builder CreateBuilder(ComplexOptionType1 prototype) {
-      return (Builder) new Builder().MergeFrom(prototype);
-    }
-    
+      return (Builder)new Builder().MergeFrom(prototype);
+    }
+
     public sealed partial class Builder : pb::ExtendableBuilder<ComplexOptionType1, Builder> {
       protected override Builder ThisBuilder {
         get { return this; }
       }
-      public Builder() {}
-      
+      public Builder() { }
+
       ComplexOptionType1 result = new ComplexOptionType1();
-      
+
       protected override ComplexOptionType1 MessageBeingBuilt {
         get { return result; }
       }
-      
+
       public override Builder Clear() {
         result = new ComplexOptionType1();
         return this;
       }
-      
+
       public override Builder Clone() {
         return new Builder().MergeFrom(result);
       }
-      
+
       public override pbd::MessageDescriptor DescriptorForType {
         get { return global::Google.ProtocolBuffers.TestProtos.ComplexOptionType1.Descriptor; }
       }
-      
+
       public override ComplexOptionType1 DefaultInstanceForType {
         get { return global::Google.ProtocolBuffers.TestProtos.ComplexOptionType1.DefaultInstance; }
       }
-      
+
       public override ComplexOptionType1 BuildPartial() {
         if (result == null) {
@@ -2326,8 +2324,8 @@
         return returnMe;
       }
-      
+
       public override Builder MergeFrom(pb::IMessage other) {
         if (other is ComplexOptionType1) {
-          return MergeFrom((ComplexOptionType1) other);
+          return MergeFrom((ComplexOptionType1)other);
         } else {
           base.MergeFrom(other);
@@ -2335,5 +2333,5 @@
         }
       }
-      
+
       public override Builder MergeFrom(ComplexOptionType1 other) {
         if (other == global::Google.ProtocolBuffers.TestProtos.ComplexOptionType1.DefaultInstance) return this;
@@ -2341,13 +2339,13 @@
           Foo = other.Foo;
         }
-          this.MergeExtensionFields(other);
+        this.MergeExtensionFields(other);
         this.MergeUnknownFields(other.UnknownFields);
         return this;
       }
-      
+
       public override Builder MergeFrom(pb::CodedInputStream input) {
         return MergeFrom(input, pb::ExtensionRegistry.Empty);
       }
-      
+
       public override Builder MergeFrom(pb::CodedInputStream input, pb::ExtensionRegistry extensionRegistry) {
         pb::UnknownFieldSet.Builder unknownFields = null;
@@ -2356,11 +2354,4 @@
           switch (tag) {
             case 0: {
-              if (unknownFields != null) {
-                this.UnknownFields = unknownFields.Build();
-              }
-              return this;
-            }
-            default: {
-              if (pb::WireFormat.IsEndGroupTag(tag)) {
                 if (unknownFields != null) {
                   this.UnknownFields = unknownFields.Build();
@@ -2368,19 +2359,26 @@
                 return this;
               }
-              if (unknownFields == null) {
-                unknownFields = pb::UnknownFieldSet.CreateBuilder(this.UnknownFields);
+            default: {
+                if (pb::WireFormat.IsEndGroupTag(tag)) {
+                  if (unknownFields != null) {
+                    this.UnknownFields = unknownFields.Build();
+                  }
+                  return this;
+                }
+                if (unknownFields == null) {
+                  unknownFields = pb::UnknownFieldSet.CreateBuilder(this.UnknownFields);
+                }
+                ParseUnknownField(input, unknownFields, extensionRegistry, tag);
+                break;
               }
-              ParseUnknownField(input, unknownFields, extensionRegistry, tag);
-              break;
-            }
             case 8: {
-              Foo = input.ReadInt32();
-              break;
-            }
-          }
-        }
-      }
-      
-      
+                Foo = input.ReadInt32();
+                break;
+              }
+          }
+        }
+      }
+
+
       public bool HasFoo {
         get { return result.HasFoo; }
@@ -2405,5 +2403,5 @@
     }
   }
-  
+
   public sealed partial class ComplexOptionType2 : pb::ExtendableMessage<ComplexOptionType2, ComplexOptionType2.Builder> {
     private static readonly ComplexOptionType2 defaultInstance = new Builder().BuildPartial();
@@ -2411,21 +2409,21 @@
       get { return defaultInstance; }
     }
-    
+
     public override ComplexOptionType2 DefaultInstanceForType {
       get { return defaultInstance; }
     }
-    
+
     protected override ComplexOptionType2 ThisMessage {
       get { return this; }
     }
-    
+
     public static pbd::MessageDescriptor Descriptor {
       get { return global::Google.ProtocolBuffers.TestProtos.UnitTestCustomOptionsProtoFile.internal__static_protobuf_unittest_ComplexOptionType2__Descriptor; }
     }
-    
+
     protected override pb::FieldAccess.FieldAccessorTable<ComplexOptionType2, ComplexOptionType2.Builder> InternalFieldAccessors {
       get { return global::Google.ProtocolBuffers.TestProtos.UnitTestCustomOptionsProtoFile.internal__static_protobuf_unittest_ComplexOptionType2__FieldAccessorTable; }
     }
-    
+
     #region Nested types
     public static class Types {
@@ -2435,21 +2433,21 @@
           get { return defaultInstance; }
         }
-        
+
         public override ComplexOptionType4 DefaultInstanceForType {
           get { return defaultInstance; }
         }
-        
+
         protected override ComplexOptionType4 ThisMessage {
           get { return this; }
         }
-        
+
         public static pbd::MessageDescriptor Descriptor {
           get { return global::Google.ProtocolBuffers.TestProtos.UnitTestCustomOptionsProtoFile.internal__static_protobuf_unittest_ComplexOptionType2_ComplexOptionType4__Descriptor; }
         }
-        
+
         protected override pb::FieldAccess.FieldAccessorTable<ComplexOptionType4, ComplexOptionType4.Builder> InternalFieldAccessors {
           get { return global::Google.ProtocolBuffers.TestProtos.UnitTestCustomOptionsProtoFile.internal__static_protobuf_unittest_ComplexOptionType2_ComplexOptionType4__FieldAccessorTable; }
         }
-        
+
         public const int ComplexOpt4FieldNumber = 7633546;
         public static pb::GeneratedExtensionBase<global::Google.ProtocolBuffers.TestProtos.ComplexOptionType2.Types.ComplexOptionType4> ComplexOpt4;
@@ -2463,5 +2461,5 @@
           get { return waldo_; }
         }
-        
+
         public override bool IsInitialized {
           get {
@@ -2469,5 +2467,5 @@
           }
         }
-        
+
         public override void WriteTo(pb::CodedOutputStream output) {
           int size = SerializedSize;
@@ -2477,5 +2475,5 @@
           UnknownFields.WriteTo(output);
         }
-        
+
         private int memoizedSerializedSize = -1;
         public override int SerializedSize {
@@ -2483,5 +2481,5 @@
             int size = memoizedSerializedSize;
             if (size != -1) return size;
-            
+
             size = 0;
             if (HasWaldo) {
@@ -2493,22 +2491,22 @@
           }
         }
-        
+
         public static ComplexOptionType4 ParseFrom(pb::ByteString data) {
-          return ((Builder) CreateBuilder().MergeFrom(data)).BuildParsed();
+          return ((Builder)CreateBuilder().MergeFrom(data)).BuildParsed();
         }
         public static ComplexOptionType4 ParseFrom(pb::ByteString data, pb::ExtensionRegistry extensionRegistry) {
-          return ((Builder) CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
+          return ((Builder)CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
         }
         public static ComplexOptionType4 ParseFrom(byte[] data) {
-          return ((Builder) CreateBuilder().MergeFrom(data)).BuildParsed();
+          return ((Builder)CreateBuilder().MergeFrom(data)).BuildParsed();
         }
         public static ComplexOptionType4 ParseFrom(byte[] data, pb::ExtensionRegistry extensionRegistry) {
-          return ((Builder) CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
+          return ((Builder)CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
         }
         public static ComplexOptionType4 ParseFrom(global::System.IO.Stream input) {
-          return ((Builder) CreateBuilder().MergeFrom(input)).BuildParsed();
+          return ((Builder)CreateBuilder().MergeFrom(input)).BuildParsed();
         }
         public static ComplexOptionType4 ParseFrom(global::System.IO.Stream input, pb::ExtensionRegistry extensionRegistry) {
-          return ((Builder) CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
+          return ((Builder)CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
         }
         public static ComplexOptionType4 ParseDelimitedFrom(global::System.IO.Stream input) {
@@ -2519,8 +2517,8 @@
         }
         public static ComplexOptionType4 ParseFrom(pb::CodedInputStream input) {
-          return ((Builder) CreateBuilder().MergeFrom(input)).BuildParsed();
+          return ((Builder)CreateBuilder().MergeFrom(input)).BuildParsed();
         }
         public static ComplexOptionType4 ParseFrom(pb::CodedInputStream input, pb::ExtensionRegistry extensionRegistry) {
-          return ((Builder) CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
+          return ((Builder)CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
         }
         public static Builder CreateBuilder() { return new Builder(); }
